Source: python-altair
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders:
 Santiago Ruano Rincón <santiago.ruano-rincon@imt-atlantique.fr>
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all,
#               python3-docutils,
               python3-entrypoints,
#               python3-flake8,
               python3-ipython,
               python3-jinja2,
               python3-jsonschema,
#               python3-m2r,
#               python3-numpy,
#               python3-numpydoc,
               python3-pandas,
#               python3-pil,
               python3-pytest,
#               python3-recommonmark,
               python3-setuptools,
#               python3-sphinx,
#               python3-sphinx-rtd-theme,
               python3-toolz,
#               python3-vega-datasets
Standards-Version: 4.5.0
Homepage: https://altair-viz.github.io/
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-altair
Vcs-Git: https://salsa.debian.org/python-team/modules/python-altair.git
#Testsuite: autopkgtest-pkg-python

Package: python3-altair
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Suggests: python-altair-doc
Description: Declarative statistical visualization library for Python
 Altair is a declarative statistical visualization library, based on Vega
 (A Visualization Grammar) and Vega-Lite. This elegant simplicity produces
 beautiful and effective visualizations with a minimal amount of code.
 .
 This package installs the library for Python 3.

# TODO: Most of the html documentation fetches JS scripts from an external
# source (cdn.jsdelivr.net). Enable building it just when a local copy of
# those scripts becomes available. If ever possible.
#Package: python-altair-doc
#Architecture: all
#Section: doc
#Depends: ${sphinxdoc:Depends}, ${misc:Depends}
#Description: Declarative statistical visualization library for Python
# Altair is a declarative statistical visualization library, based on Vega
# (A Visualization Grammar) and Vega-Lite. This elegant simplicity produces
# beautiful and effective visualizations with a minimal amount of code.
# .
# This is the common documentation package.
